all: ../for_upload/mz_moviepack.bmf

../for_upload/mz_moviepack.bmf: gamewon.bmf gameover.bmf levelwon.bmf livelost.bmf startanim.bmf config Makefile BLM/*
	bmfcompress META config ../for_upload/mz_moviepack.bmf

clean:
	rm -f *.bmf
	rm -f ../for_upload/mz_moviepack.bmf

gamewon.bmf: gamewon/*
	bmfcompress 16 250 gamewon.bmf gamewon gamewon.ogg

gameover.bmf: gameover/*
	bmfcompress 16 140 gameover.bmf gameover

levelwon.bmf: levelwon/*
	bmfcompress 16 44 levelwon.bmf levelwon levelfinished.ogg

livelost.bmf: livelost/*
	bmfcompress 16 48 livelost.bmf livelost fx_killedanim.ogg

startanim.bmf: startanim/*
	bmfcompress 15 360 startanim.bmf startanim startanim.ogg
